<?php

namespace FiloBlu\ExtMagentoWidget\Model\Observer;

class BlockPrepareSaveObserver implements \Magento\Framework\Event\ObserverInterface {

    /**
     * Set default values for own fields in CMS Block
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return void
     */
    public function execute(\Magento\Framework\Event\Observer $observer) {
        $object = $observer->getEvent()->getDataObject();
        if (is_array($object->getCustomerGroup())) {
            $object->setData("customer_group", ($object->getCustomerGroup() ? implode(",", $object->getCustomerGroup()) : null));
        }
        else {
            $object->setData("customer_group", ($object->getCustomerGroup() ? : null));
        }
    }

}
