<?php

namespace FiloBlu\ExtMagentoWidget\Plugin\Magento\Framework\View\Element;

class AbstractBlock {

    protected $_customerSession;
    protected $_context;
    
    public function __construct(
    \Magento\Customer\Model\Session $customerSession, \Magento\Framework\App\Http\Context $context
    ) {
        $this->_customerSession = $customerSession;
        $this->_context = $context;
    }

    public function afterToHtml(\Magento\Framework\View\Element\AbstractBlock $subject, $result) {
       
        if ($arrayCustomerGroup = $subject->getWidgetDisplayCustomerGroup()) {
  
            $arrayCustomerGroup = explode(",", $arrayCustomerGroup);
            $_currentCustomerGroupId = "-1";
            
            if ($this->_context->getValue(\Magento\Customer\Model\Context::CONTEXT_AUTH)) {
                $_currentCustomerGroupId = "-2,";
                $_currentCustomerGroupId = $_currentCustomerGroupId . $this->_customerSession->getCustomer()->getGroupId();
            }
            
            $_currentCustomerGroupIdArray = explode(",", $_currentCustomerGroupId);

            $found = false;

            foreach ($_currentCustomerGroupIdArray as $groupIdVal) {
                if (in_array($groupIdVal, $arrayCustomerGroup)) {
                    $found = true;
                }
            }
            
            if ($found) {
                return $result;
            } else {
                return "";
            }
        } else {
            return $result;
        }
    }

}
